#!/bin/sh

set -e

PROJVERS=0.1
PROJNAME=syp

BUILDDIR=${1:-build}
DESTDIR=${BUILDDIR}/${PROJNAME}-${PROJVERS}

rm -rf $BUILDDIR
mkdir -p $DESTDIR

# php includes
cp -RLp inc/ $DESTDIR/

# other php files
cp -p admin.*php index.*php wizard.*php news.php api.php items.php logout.php $DESTDIR/

# media
cp -RLp media/ $DESTDIR/

# openlayers
mkdir -p $DESTDIR/openlayers
cd openlayers/build/
python build.py ../../syp.cfg
cd ../../
cp -RLp openlayers/build/OpenLayers.js $DESTDIR/openlayers/

# openlayers images
mkdir $DESTDIR/openlayers/img
for file in east-mini.png \
            marker-gold.png \
            north-mini.png \
            blank.gif \
            west-mini.png \
            zoom-plus-mini.png \
            marker-blue.png \
            marker-green.png \
            south-mini.png \
            zoom-minus-mini.png \
            zoom-world-mini.png; do
    cp -p openlayers/img/$file $DESTDIR/openlayers/img
done
# openlayers theme
mkdir -p $DESTDIR/openlayers/theme/default/img
cp -Lp openlayers/theme/default/style.css $DESTDIR/openlayers/theme/default/style.css
cp -RLp openlayers/theme/default/img/close.gif $DESTDIR/openlayers/theme/default/img

# other javascript
cp -RLp js/ $DESTDIR/

# replace jquery with minified version
for file in $DESTDIR/js/jquery-*.min.js; do
    jversion=${file##$DESTDIR/js/jquery-}
    jversion=${jversion%%\.min\.js}
    mv $file $DESTDIR/js/jquery-$jversion.js
done

# copyright and readme files
cp -p license.txt README.txt COPYING.txt $DESTDIR/

# creates upload directory
mkdir $DESTDIR/upload
chmod a+wx $DESTDIR/upload

# generate sources
cd $BUILDDIR
tar -pczf ${PROJNAME}_${PROJVERS}.tar.gz ${PROJNAME}-${PROJVERS}
zip -r ${PROJNAME}_${PROJVERS}.zip ${PROJNAME}-${PROJVERS}
cd ..
